<template>
  <div class="px-8 pt-4 pb-20">
    <div class="mb-10">
      <div class="text-[44px] text-[color:var(--title-font-color)] font-bold">
        {{ $t("information") }}
      </div>
    </div>
    <TabPaneHeader
      :tabs="tabs"
      :init-tab="tabs[0].value"
      class="mb-6"
      @on-tab-change="handleClick"
    />
    <ColloapseLists>
      <CollapseItem
        v-for="(item, index) in contentTitles"
        :key="index"
        :termcondition="item"
      >
        <div v-html="contentDetailFiltered(index)"></div>
      </CollapseItem>
    </ColloapseLists>
  </div>
</template>
<script lang="ts" setup>
import TabPaneHeader from "./components/ui/TabPanelHeader.client.vue";
import ColloapseLists from "./components/footerComponents/CollapseLists.client.vue";
import CollapseItem from "./components/footerComponents/CollapseItem.client.vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { store } from "@/store";

const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const alltabs = computed(
  (): Array<IThemePropertiesFromApi> =>
    themePropertyHelper.getMultipleThemesProperties(
      themeProperties.value,
      "menu_content_tab_5_"
    )
);
const activeTab = ref(0);
const tabs = ref<{ value: string; label: string }[]>([]);
alltabs.value.forEach((item) => {
  const htmlIdSplit = item.HtmlId.split("_");
  const tabId = htmlIdSplit[htmlIdSplit.length - 1];
  if (activeTab.value === 0) activeTab.value = Number(tabId);
  tabs.value.push({ label: item.Text.toLowerCase(), value: tabId });
});

const contentTitles = computed(
  (): Array<IThemePropertiesFromApi> =>
    themePropertyHelper.getMultipleThemesProperties(
      themeProperties.value,
      `menu_content_title_5_${activeTab.value}_`
    )
);
const contentDetailFiltered = (index: number): string =>
  themePropertyHelper.getSingleThemeProperty(
    themeProperties.value,
    `menu_content_detail_5_${activeTab.value}_${index + 1}`
  ).Text;
function handleClick(tab: number) {
  activeTab.value = tab;
}
</script>
<style lang="scss" scoped></style>
